import re
import streamlit as st
from Siamese import BurmeseConverter


add_selectbox = st.sidebar.selectbox(
    "",
    ("Romanization to Burmese", "Burmese to Romanization")
)
converter = BurmeseConverter()
if add_selectbox == 'Romanization to Burmese':
    st.subheader("**Writing Methodology for Romanization to Burmese Words**", divider="gray")
    st.markdown("စာလုံးတစ်လုံးကိုရေးမယ်ဆိုရင် Consonants ကိုစပြီးရေးရတယ်။")
    st.markdown("ဥပမာ -  **mc:** ကိုရေးမည်ဆိုပါတော့")
    st.write("mc: -> မ င ်  း  -> မင်း(:red[် သည် Dictionary မှာမရှိသောကြောင့်ရေးစရာမလိုပါ])")
    st.divider()
    st.markdown("‌**‌ေ** ပါသောစကားလုံးတွေကိုရေးမည်ဆိုလျှင် consonants နောက်တွင်ချက်ခြင်းလိုက်ရမည်။")    
    st.markdown(":red[‌ော ် ပါသောစကားလုံးကိုရေးမည်ဆိုလျှင် ‌် ကို F ဆိုပြီးရေးပေးရမည်ဖြစ်သည်။]")
    st.markdown("ဥပမာ -  **keAF** ကိုရေးမည်ဆိုပါတော့")
    st.markdown("keAF -> က ‌ေ  ာ  ် -> ကော်")    
    st.divider()
    st.markdown("**ျ ြ** ပါတာတွေကိုရေးမည်ဆိုလျှင် **“‌ေ”** ကိုဂရုစိုက်ပြီးရေးရမည်။")
    st.markdown("**ျ ြ** ပါတာကိုရေးမည်ဆိုလျှင် **ျ ြ** တို့ ရေးပြီးမှ **“‌ေ”** ကိုရေးရမည်။")
    st.markdown("**ျ ြ** မပါ တာကိုရေးမည်ဆိုလျှင် consonants နောက်တွင် **“‌ေ”** ကိုရေးနိုင်မည်။")
    st.markdown("ဥပမာ -  **kYe:** ကိုရေးမည်ဆိုပါတော့")
    st.markdown("kYe: -> က  ျ ‌ေ း -> ကျေး")
    st.divider()
    st.subheader("**စကားလုံးတွဲများရေးပုံရေးနည်းများ**", divider="gray")
    st.markdown("အကယ်လို့ စကားလုံးပြောတွေရေးမည်ဆိုလျှင် comma (,) ကိုသုံးပြီးရေးရမည်ဖြစ်သည်။")
    st.markdown("ကိုယ်ဆိုလိုချင်တဲ့စကားလုံးတွဲတွေကို comma (,) နဲ့ရေးရမည်လဲဖြစ်သည်။")
    st.markdown("ဥပမာ နဲ့ဆိုရင် **S,rA,kRI:** ဆိုတာကို Burmese နဲ့ရေးမယ်ဆိုလျှင် **ဆရာကြီး**")
    st.markdown("ဆရာကြီးဆိုတဲ့စကားလုံးသည် စကားတွဲဖြစ်သောကြောင့် comma (,) ခံ၍ရေး‌ပေးရခြင်းဖြစ်သည်။") 
    st.markdown("**S,rA,kRI: dI,ne. PYA:,ne,jQ,//**")
    st.markdown("**ဆရာကြီး ဒီနေ့ ဖျားနေသည်။**")
    st.divider()
    st.subheader("**ပါဠိရေးပုံ**")
    st.markdown("ပါဠိတွေကိုရေးမည်ဆိုပါလျှင် pasint (္) ပြီးမှသာလျှင် comma (,) ခံပေးရမည်။")
    st.markdown("စက္ကူ ကိုရေးမယ်ဆိုရင် skk,U  -> စ က  ္ က  ,  ူ -> စက္ကူ:red[(္ Dictionary မှာမရှိသောကြောင့်ဖြစ်သည်။)]")
    st.divider()
    st.subheader("**English ရေးပုံ**")
    st.markdown("စာကြောင်းတစ်ကြောင်းကိုရေးမယ်ဆိုလျှင် ထိုစာကြောင်းမှာ English လိုပါတယ်ဆိုရင် Curly Brackets ({}) ထဲမှာရေးပေးရပါမယ်။")
    st.markdown("နာမည်တွေတင်မကဘဲ Facebook တို့အစရှိသလို website တွေကိုလဲ English လိုရေးမယ်ဆိုလျှင် Curly Brackets ({}) ထဲရေးပေးရပါမယ်။")
    st.markdown("{John} jQ,dI,ne. jU.,a,deAF,aim,kiu,jWA:,jQ,//")
    st.markdown("{John} သည်ဒီနေ့ သူ့အဒေါ်အိမ်ကိုသွားသည်။")
    st.divider()
    st.subheader("You can test the Romanization to Burmese")
    text_input = st.text_input("Romanization to Burmese")
    st.write("Burmese output:", converter.romanization_to_burmese(text_input))

else:
    st.subheader("**Writing Methodology for Burmese to Romanization Words**", divider="gray")
    st.markdown("စာလုံးတစ်လုံးကိုရေးမယ်ဆိုရင် Consonants ကိုစပြီးရေးရတယ်။")
    st.markdown("ဥပမာ -  **မင်း** ကိုရေးမည်ဆိုပါတော့")
    st.write("မ င ်  း -> mc: (:red[် သည် Dictionary မှာမရှိသောကြောင့်ရေးစရာမလိုပါ])")
    st.divider()
    st.markdown("‌**‌ေ** ပါသောစကားလုံးတွေကိုရေးမည်ဆိုလျှင် consonants နောက်တွင်ချက်ခြင်းလိုက်ရမည်။")    
    st.markdown(":red[‌ော ် ပါသောစကားလုံးကိုရေးမည်ဆိုလျှင် ‌် ကို F ဆိုပြီးရေးပေးရမည်ဖြစ်သည်။]")
    st.markdown("ဥပမာ -  **ကော်** ကိုရေးမည်ဆိုပါတော့")
    st.markdown("က ‌ေ  ာ  ် -> keAF")    
    st.divider()
    st.markdown("**ျ ြ** ပါတာတွေကိုရေးမည်ဆိုလျှင် **“‌ေ”** ကိုဂရုစိုက်ပြီးရေးရမည်။")
    st.markdown("**ျ ြ** ပါတာကိုရေးမည်ဆိုလျှင် **ျ ြ** တို့ ရေးပြီးမှ **“‌ေ”** ကိုရေးရမည်။")
    st.markdown("**ျ ြ** မပါ တာကိုရေးမည်ဆိုလျှင် consonants နောက်တွင် **“‌ေ”** ကိုရေးနိုင်မည်။")
    st.markdown("ဥပမာ -  **ကျေး** ကိုရေးမည်ဆိုပါတော့")
    st.markdown("က  ျ ‌ေ း -> kYe:")
    st.divider()
    st.subheader("**စကားလုံးတွဲများရေးပုံရေးနည်းများ**", divider="gray")
    st.markdown("အကယ်လို့ စကားလုံးပြောတွေရေးမည်ဆိုလျှင် comma (,) ကိုသုံးပြီးရေးရမည်ဖြစ်သည်။")
    st.markdown("ကိုယ်ဆိုလိုချင်တဲ့စကားလုံးတွဲတွေကို comma (,) နဲ့ရေးရမည်လဲဖြစ်သည်။")
    st.markdown("ဥပမာ နဲ့ဆိုရင် **ဆရာကြီး** ဆိုတာကို Romanize နဲ့ရေးမယ်ဆိုလျှင် **S,rA,kRI:**")
    st.markdown("ဆရာကြီးဆိုတဲ့စကားလုံးသည် စကားတွဲဖြစ်သောကြောင့် comma (,) ခံ၍ရေး‌ပေးရခြင်းဖြစ်သည်။")
    st.markdown("**ဆရာကြီး ဒီနေ့ ဖျားနေသည်။** :red[(ဒီစကားပြောကို romanization နဲ့ရေးမယ်ဆိုလျှင်)]")
    st.markdown("**S,rA,kRI: dI,ne. PYA:,ne,jQ,//**")
    st.divider()
    st.subheader("**ပါဠိရေးပုံ**")
    st.markdown("ပါဠိတွေကိုရေးမည်ဆိုပါလျှင် pasint (္) ပြီးမှသာလျှင် comma (,) ခံပေးရမည်။")
    st.markdown("စက္ကူ ကိုရေးမယ်ဆိုရင် စ က  ္ က  ,  ူ -> skk,U :red[(္ Dictionary မှာမရှိသောကြောင့်ဖြစ်သည်။)]")
    st.divider()
    st.subheader("**English ရေးပုံ**")
    st.markdown("စာကြောင်းတစ်ကြောင်းကိုရေးမယ်ဆိုလျှင် ထိုစာကြောင်းမှာ English လိုပါတယ်ဆိုရင် Curly Brackets ({}) ထဲမှာရေးပေးရပါမယ်။")
    st.markdown("နာမည်တွေတင်မကဘဲ Facebook တို့အစရှိသလို website တွေကိုလဲ English လိုရေးမယ်ဆိုလျှင် Curly Brackets ({}) ထဲရေးပေးရပါမယ်။")
    st.markdown("{John} သည်ဒီနေ့ သူ့အဒေါ်အိမ်ကိုသွားသည်။")
    st.markdown("{John} jQ,dI,ne. jU.,a,deAF,aim,kiu,jWA:,jQ,//")
    st.divider()
    st.subheader("You can test the Burmese to Romanization")
    text_input = st.text_input("Burmese to Romanization")
    st.write("Romanization output:", converter.burmese_to_romanization(text_input))